X2Go Bug report logs - #212
x2go doesn't honour ssh (client) configuration

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Christoph Anton Mitterer <calestyo@scientia.net>

Date: Sat, 18 May 2013 23:01:16 UTC

Severity: wishlist

Tags: pending

Merged with 1121

Found in versions 4.0.5.1, 4.0.1.0

Fixed in version 4.1.1.0

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, owner@bugs.x2go.org:
Bug#212; Package <name-of-x2go-component>. (Sat, 18 May 2013 23:01:16 GMT) (full text, mbox, link).


Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Sat, 18 May 2013 23:01:16 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: submit@bugs.x2go.org
Subject: x2go doesn't honour ssh (client) configuration
Date: Sun, 19 May 2013 00:52:50 +0200
[Message part 1 (text/plain, inline)]
Package: <name-of-x2go-component>
Version: x2goclient

Hi.

Not sure whether this is really a problem in x2goclient, if not please
reassign accordingly (e.g. nxproxy?).

It seems that when connecting to a host, x2go doesn't honour the ssh
(client) configuration (e.g. ~/.ssh/config, /etc/ssh/ssh_config and
friends).

Example:
We have hosts at the institute, which are only accessible via tunnelling
ssh over some login node (in some cases even via several such node, each
with perhaps different settings for username, tunnelling method, etc.)
like: 
Host login1.example.org login2.example.org
	ProxyCommand none
Host *.tunnel-only-hosts.example.org
	ProxyCommand sh -c "ssh -W %h:%p login1.example.org  ||  ssh -W %h:%p login2.example.org"
Host *.example.org
	User myUser


x2goclient doesn't however honour these, but rather tries to connect directly, which fails of course.



Cheers,
Chris.

[smime.p7s (application/x-pkcs7-signature, attachment)]

Bug reassigned from package '&lt;name-of-x2go-component&gt;' to 'x2goclient'. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Sun, 19 May 2013 13:03:02 GMT) (full text, mbox, link).


No longer marked as found in versions x2goclient. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Sun, 19 May 2013 13:03:02 GMT) (full text, mbox, link).


Marked as found in versions 4.0.1.0. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Sun, 19 May 2013 13:03:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.0.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 28 Feb 2017 16:30:01 GMT) (full text, mbox, link).


Severity set to 'wishlist' from 'normal' Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 28 Feb 2017 16:35:01 GMT) (full text, mbox, link).


Marked as found in versions 4.0.5.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 28 Feb 2017 16:35:01 GMT) (full text, mbox, link).


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 28 Feb 2017 16:35:01 GMT) (full text, mbox, link).


Merged 1121 212 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 28 Feb 2017 16:35:01 GMT) (full text, mbox, link).


No longer marked as fixed in versions 4.1.0.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 29 Oct 2017 07:20:01 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.1.0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sun, 29 Oct 2017 07:20:01 GMT) (full text, mbox, link).


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Sun, 29 Oct 2017 07:50:14 GMT) (full text, mbox, link).


Notification sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Bug acknowledged by developer. (Sun, 29 Oct 2017 07:50:14 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Mon, 27 Nov 2017 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Sep 15 07:42:30 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.